﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Collections;
using elmah2.core.data;

namespace elmah2.core.interfaces
{
  public interface IErrorLogger
  {
    string Name { get; }
    void LogError(Error error);
    void Init(Dictionary<string, string> config);
    bool AddApplication(string name);
    List<Application> GetApplications();
    Application GetApplication(int id);
    ErrorData GetErrors(int p, int size, int? app);
    Error GetError(string id);
    bool WriteOnly { get; }
  }
}
